View Issue Details

Category
整備班:YAYA
SeverityminorReproducibilityalways 
Status assigned 
Fixed in Version2.4 (リリース) 
Summary0000130: yaya can't load some dll in upx but it can be loaded by SaoriTester
Description

Some DLLs cannot be loaded by Yaya after upx
there are two dlls already after upx(samples)

Relationships

related to 0000101 closedponapalt saori_ip.dll can't run again 

Activities

guest

2021-02-16 22:20

reporter  

ip.dll (23,040 bytes)
cmdrunner.dll (21,504 bytes)

guest

2021-02-16 22:24

reporter   ~0000246

codes:
https://github.com/steve02081504/csaori/tree/master/impl_saori/saori_ip
https://github.com/steve02081504/csaori/tree/master/impl_saori/cmdrunner

ponapalt

2021-03-21 13:51

administrator   ~0000270

This problem may be fixed at SSP 2.4.91.

guest

2021-07-03 12:41

reporter   ~0000464

This problem has not been fixed, but I seem to got some info
SSP cannot load any DLL compiled by vs2019 and compressed by upx, regardless of compilation method and upx policy
That's all, though I don't understand why

guest

2021-07-03 12:49

reporter   ~0000465

I compiled a yaya with vs2019 on this commit and used the default policy of upx3.96 without any configuration file changes
https://github.com/ponapalt/yaya-shiori/commit/eaceebc33a5d89bbdf36c0e3c502cfab5f5efa60

yaya.dll (503,296 bytes)

Add Note

View Status
Note
Upload Files
Maximum size: 1,953 KiB

Attach files by dragging & dropping, selecting or pasting them.

送信ボタンを押す前に / Before pushing "Send" button

  • スパム避けのためにパスワードが必要です。送信ボタンを押すとユーザー名とパスワードを聞かれますので、それぞれ "bts" と入力してください。
  • To send report, please input "bts" into username and password box in popup dialog.

Issue History

Date Modified Username Field Change
2021-02-16 22:20 guest New Issue
2021-02-16 22:20 guest File Added: ip.dll
2021-02-16 22:20 guest File Added: cmdrunner.dll
2021-02-16 22:24 guest Note Added: 0000246
2021-03-14 21:41 ponapalt Relationship added related to 0000101
2021-03-21 13:51 ponapalt Assigned To => ponapalt
2021-03-21 13:51 ponapalt Status new => closed
2021-03-21 13:51 ponapalt Resolution open => fixed
2021-03-21 13:51 ponapalt Fixed in Version => 2.4 (リリース)
2021-03-21 13:51 ponapalt Note Added: 0000270
2021-07-03 12:41 guest Status closed => feedback
2021-07-03 12:41 guest Resolution fixed => reopened
2021-07-03 12:41 guest Note Added: 0000464
2021-07-03 12:49 guest Note Added: 0000465
2021-07-03 12:49 guest File Added: yaya.dll
2021-07-03 12:49 guest Status feedback => assigned